<% if (section === 'css') { %>
<style>
  #timer-time-row > * {
    display: inline;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="timer">
  <center>
    <div class="container row">
      <div class="col s12 m6 offset-m3">
        <div class="row">
          <div class="col s12">
            <h4>Tijd</h4>
            <div id="timer-time-row">
              <h5 id="timer-time"></h5>
              <h5> / </h5>
              <h5 id="timer-setPoint"></h5>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col s12">
            <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('timer', 'timeAdd', { time: 1 })">+1</a>
            <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('timer', 'timeAdd', { time: 10 })">+10</a>
            <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('timer', 'timeAdd', { time: 60 })">+60</a>
          </div>
        </div>
        <div class="row">
          <div class="col s12">
            <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('timer', 'timeSub', { time: 1 })">+1</a>
            <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('timer', 'timeSub', { time: 10 })">-10</a>
            <a class="btn-large waves-effect watervlo-blue" onclick="connection.sendCommand('timer', 'timeSub', { time: 60 })">-60</a>
          </div>
        </div>
        <div class="row">
          <div class="col s12">
            <div class="switch" align="center" onchange="connection.sendCommand('timer', 'toggleLoop')">
              <label>
                <h6 style="display: inline;">Geen loop</h6>
                <input id="timer-loop" type="checkbox">
                <span class="lever"></span>
                <h6 style="display: inline;">Loop</h6>
              </label>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col s12">
            <div class="switch" align="center" onchange="connection.sendCommand('timer', 'toggleSound')">
              <label>
                <h6 style="display: inline;">Geen geluid</h6>
                <input id="timer-sound" type="checkbox">
                <span class="lever"></span>
                <h6 style="display: inline;">Geluid</h6>
              </label>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col s12">
            <div class="switch" align="center" onchange="connection.sendCommand('timer', 'toggleDirection')">
              <label>
                <h6 style="display: inline;">Tel op</h6>
                <input id="timer-direction" type="checkbox">
                <span class="lever"></span>
                <h6 style="display: inline;">Tel aff</h6>
              </label>
            </div>
          </div>
        </div>
        <div class="row">
          <a class="btn waves-effect watervlo-blue col s12" onclick="connection.sendCommand('timer', 'toggleTime')">Start / Stop</a>
        </div>
      </div>
    </div>
  </center>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const timerTimer = new Timer(1000, 'down', (time) => {
    document.getElementById('timer-time').innerHTML = `${Math.floor(time / 60)}:${(time % 60).pad(2)}`
  })

  registerCommand('timer', 'data', (data) => {
    document.getElementById('timer-setPoint').innerHTML = `${Math.floor(data.setPoint / 60)}:${(data.setPoint % 60).pad(2)}`
    document.getElementById('timer-loop').checked = data.loop
    document.getElementById('timer-sound').checked = data.sound
    document.getElementById('timer-direction').checked = data.direction === 'down'

    timerTimer.direction = data.direction
  })

  registerCommand('timer', 'time', (data) => {
    timerTimer.setTime(data.time)

    if (data.running) {
      timerTimer.start()
    } else {
      timerTimer.stop()
    }
  })
</script>
<% } %>
